Bug 1324774 (CVE-2014-9771) - CVE-2014-9771 imlib2: exploitable integer overflow in _imlib_SaveImage
Summary: CVE-2014-9771 imlib2: exploitable integer overflow in _imlib_SaveImage
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9771
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1324776 1324775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-07 09:19 UTC by Andrej Nemec
Modified: 2021-10-21 00:51 UTC (History)
4 users (show)

Fixed In Version: imlib2 1.4.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-21 00:51:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-07 09:19:24 UTC
An integer overflow vulnerability was found in imlib2.

Upstream fix:

https://git.enlightenment.org/legacy/imlib2.git/commit/?id=143f299

Comment 1 Andrej Nemec 2016-04-07 09:20:19 UTC
Created imlib2 tracking bugs for this issue:

Affects: epel-6 [bug 1324775]
Affects: epel-7 [bug 1324776]

Comment 2 Andrej Nemec 2016-04-11 07:45:25 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/43


Note You need to log in before you can comment on or make changes to this bug.